package com.ruoyi.gysl.service.impl;

import com.ruoyi.gysl.entity.Notice;
import com.ruoyi.gysl.entity.stats.AllProjectResponse;
import com.ruoyi.gysl.entity.stats.RibbonResponse;
import com.ruoyi.gysl.mapper.ZwStatsMapper;
import com.ruoyi.gysl.service.ZwStatsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 政务统计服务实现类
 *
 * @author makejava
 * @since 2025-02-24 09:25:55
 */
@Service("ZwStatsService")
public class ZwStatsServiceImpl implements ZwStatsService {

    @Resource
    private ZwStatsMapper zwStatsMapper;

    /**
     * 项目情况
     */
    @Override
    public AllProjectResponse allProject() {
        return zwStatsMapper.allProject();
    }

    /**
     * 功能区
     */
    @Override
    public List<RibbonResponse> ribbon() {
        return zwStatsMapper.ribbon();
    }
    /**
     * 投资主体
     */
    @Override
    public List<RibbonResponse> investors() {
        return zwStatsMapper.investors();
    }

    /**
     * 消息通知
     */
    @Override
    public List<Notice> zwNotice() {
        return zwStatsMapper.zwNotice();
    }

    /**
     * 政务消息通知数量
     */
    @Override
    public int zwNoticeCount() {
        return zwStatsMapper.zwNoticeCount();
    }
}
